Subject: Re: [babel] Shepherd review of draft-ietf-babel-hmac-03

From: Juliusz Chroboczek <[email-masked]>
Date: Sat, 09 Mar 2019 14:46:00 +0100

> Section 2, Page 4, first sentence: "for cryptographic protection" -> "for HMAC
> cryptographic protection"

Done.

> Section 4, page 8/9, Section 4.3.1.2, page 10. I'm slightly confused about the
> interaction of these sections.

Good catch, thanks -- that's actually a mistake in the draft.  The packet
is accepted unconditionally if the challenge was successful.  I've fixed that.

> The various timers here (5 min to discard Neighbor Table entry (Section 4.4),
> 30 seconds challenge expiry timer (Section 4.3.1.1), and 300ms challenge rate
> limit (Section 4.3.1.1)) should be described as configurable with a default
> value of the value currently suggested.

Done.  Default value is SHOULD, configurability is MAY.

> The TLV type values have been assigned.

Done, both in the draft and the implementation.

> The size limit of 192 for nonces should be motivated. Perhaps "to leave some
> room for possible future sub-TLV inclusion".

Clarified.  (Nonces are not self-terminating, so sub-TLVs are not
possible.  The reason is to make it possible to encode a cookie within
a nonce, as described in the Security Considerations section.)

> Appendix A: Seems like somewhere in the main text body it should say
> that "Implementations SHOULD be separately configurable to (1) send or
> not send HMAC security TLVs and (2) process or ignore HMAC security TLVs
> on receipt."

Done in the section on data structures.

> Appendix B: Add after Appendix B header and before Appendix B.1 header:
> "RFC-Editor: Please remove this section before publication".

Done.

Thanks again, Donald.

-- Juliusz

---

From: Donald Eastlake <[email-masked]>
Date: Sun, 10 Mar 2019 15:32:33 -0400

Hi Juliusz,

Thanks! I consideral my comments resolved.

Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked]